Subject: Re: [PATCH] NET: Multiqueue network device support.

From: Ben Greear <[email-masked]>
Date: Tue, 12 Jun 2007 15:40:32 -0700

Jeff Garzik wrote:
> Ben Greear wrote:
>> That sounds plausible for many uses, but it may also be useful to have
>> the virtual devices.  Having 802.1Q VLANs be 'real' devices has worked 
>> out
>> quite well, so I think there is a place for a 'mac-vlan' as well.
> 
> Virtual devices are pretty much the only solution we have right now, 
> both in terms of available control points, and in terms of mapping to 
> similar existing solutions (like wireless and its multiple net devices).

I believe Patrick is working on cleaning up mac-vlans and converting them
to use the new netlink configuration API, so there should be a patch for
these hitting the list shortly.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com